#
# spec file for package rkhunter (Version 1.2.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           rkhunter
Url:            http://rkhunter.sourceforge.net/
License:        GPL v2 or later
Group:          System/Monitoring
AutoReqProv:    on
Summary:        Rootkit Hunter Scans for Rootkits, Backdoors, and Local Exploits
Version:        1.2.8
Release:        66.2
Source0:        http://downloads.rootkit.nl/%{name}-%{version}.tar.bz2
# Got via rkhunter --update, then packed from /var/lib/rkhunter/
Source1:        newdb.tar.bz2
Patch0:         rkhunter-10.3.patch
Patch1:         rkhunter.conf.patch
Patch2:         rkhunter-SuSE-release.patch
Requires:       coreutils wget
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rootkit Hunter is a scanning tool that can give you a 99.9% certainty
that your system is clean of nasty tools. This tool scans for rootkits,
backdoors, and local exploits by running tests like:

* Comparing MD5 hashes

* Looking for default files used by rootkits

* Checking for wrong file permissions for binaries

* Looking for suspected strings in LKM and KLD modules

* Looking for hidden files

* Optionally scanning within plain text and binary files

* Checking software versions

* Testing applications



Authors:
--------
    Michael Boelen <michael@rootkit.nl>

%debug_package
%prep
%setup -q -n %{name} -a1
mv db/* files
%patch0 -p1
%patch1 -p1
%patch2 -p1 

%build
sed -e 's/\${MYDIR}\/lib/\/usr\/share/;' files/rkhunter >files/rkhunter.new
mv files/rkhunter.new files/rkhunter

%install
# Well... This could be a bit smaller if the install
# script was able to handle DSTDIR for example...
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_sysconfdir}
%{__mkdir} -p ${RPM_BUILD_ROOT}/usr/share
%{__mkdir} -p ${RPM_BUILD_ROOT}/usr/share/rkhunter/scripts
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_mandir}/man8
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/{db,tmp}
%{__chmod} ug+rwx,o-rwx ${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/tmp
%{__install} -m750 -p files/rkhunter		${RPM_BUILD_ROOT}%{_bindir}/
%{__install} -m640 -p files/backdoorports.dat	${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db/
%{__install} -m640 -p files/defaulthashes.dat	${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db/
%{__install} -m640 -p files/mirrors.dat		${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db/
%{__install} -m640 -p files/os.dat		${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db/
%{__install} -m640 -p files/md5blacklist.dat	${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db/
%{__install} -m640 -p files/programs_bad.dat	${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db/
%{__install} -m640 -p files/programs_good.dat	${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db/
%{__install} -m644 -p files/CHANGELOG		${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}/
%{__install} -m644 -p files/LICENSE		${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}/
%{__install} -m644 -p files/README		${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}/
%{__install} -m644 -p files/WISHLIST		${RPM_BUILD_ROOT}%{_docdir}/rkhunter-%{version}/
%{__install} -m644 -p files/development/*.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
%{__install} -m750 -p files/check_modules.pl	${RPM_BUILD_ROOT}/usr/share/rkhunter/scripts/
%{__install} -m750 -p files/check_port.pl	${RPM_BUILD_ROOT}/usr/share/rkhunter/scripts/
%{__install} -m750 -p files/filehashmd5.pl	${RPM_BUILD_ROOT}/usr/share/rkhunter/scripts/
%{__install} -m750 -p files/filehashsha1.pl	${RPM_BUILD_ROOT}/usr/share/rkhunter/scripts/
%{__install} -m750 -p files/showfiles.pl	${RPM_BUILD_ROOT}/usr/share/rkhunter/scripts/
%{__install} -m750 -p files/check_update.sh     ${RPM_BUILD_ROOT}/usr/share/rkhunter/scripts/
# (cjo) Put installation root in configuration file, then copy the rest
#       of the file from the original.
cat > ${RPM_BUILD_ROOT}%{_sysconfdir}/rkhunter.conf << EOF
## Next three lines installed automatically by RPM. Do not change
## unless you know what you're doing...
INSTALLDIR=%{_prefix}
DBDIR=%{_var}/lib/rkhunter/db
TMPDIR=%{_var}/lib/rkhunter/tmp
EOF
cat files/rkhunter.conf >> ${RPM_BUILD_ROOT}%{_sysconfdir}/rkhunter.conf
%{__chmod} 640 ${RPM_BUILD_ROOT}%{_sysconfdir}/rkhunter.conf
# Only root should use rkhunter (at least for now)
%{__chmod} o-rwx -R ${RPM_BUILD_ROOT}/usr/share/rkhunter
%{__chmod} o-rwx -R ${RPM_BUILD_ROOT}%{_var}/lib/rkhunter/db
# make a cron.daily file to mail us the reports
%{__mkdir} -p "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily"
%{__cat} > "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily/suse.de-rkhunter" <<EOF
#!/bin/sh
%{_bindir}/rkhunter --quiet --cronjob
EOF
%{__chmod} a+rwx,g-w,o-w ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/suse.de-rkhunter

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
  && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/rkhunter
%dir /usr/share/rkhunter
%doc %{_docdir}/rkhunter-%{version}
%{_mandir}/man8/*
/usr/share/rkhunter/scripts
%dir %{_var}/lib/rkhunter
%dir %{_var}/lib/rkhunter/tmp
%{_var}/lib/rkhunter/db
%config(noreplace) %verify(not mtime) %{_sysconfdir}/rkhunter.conf
%attr(755,root,root) %{_sysconfdir}/cron.daily/suse.de-rkhunter

%changelog
* Thu Nov 29 2007 - lrupp@suse.de
- added 10.3 entries to os.dat and updated db-files (fixes #341572)
- set ALLOW_SSH_ROOT_USER to 1 as this is enabled per default
- split up old rkhunter-10.0.patch into parts
* Wed Nov 22 2006 - meissner@suse.de
- use correct string for i586. #223221
* Thu Nov 16 2006 - meissner@suse.de
- Detect openSUSE as product correctly. #216053
- renamed cron script to have "suse.de-" prefix.
* Tue Nov 07 2006 - meissner@suse.de
- Include the current database from upstream. #216053
- daily cron script to mode 755
* Wed Jul 19 2006 - meissner@suse.de
- New version 1.2.8
	- some hashes and version updated
	- small fixes
- Added SUSE Linux 10 hashes
* Thu Mar 23 2006 - meissner@suse.de
- detect 10.1. #148471
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - meissner@suse.de
- Order ALLOW* directives in the right section.
- Do not |mail in a cronjob, just let cron do it for itself.
- Quiet down output so it usually should not mail.
- Enable MAIL_ON_WARNING, send mail to root. #132683
* Wed Sep 07 2005 - meissner@suse.de
- ignore /etc/.pwd.lock, /etc/.java too. #115128
* Thu Aug 18 2005 - meissner@suse.de
- recognize 10.0, ignore /dev/.udevdb/.
* Fri Aug 12 2005 - meissner@suse.de
- Use /usr/share/rkhunter instead of /usr/%%_lib/rkhunter.
- Fixed some other problems.
* Mon Jul 11 2005 - meissner@suse.de
- Initial import of rkhunter 1.2.7.
